@model FAA_UI.ViewModels.ScheduleViewModel
@using(Html.BeginForm("Index","Schedule",FormMethod.Post,new{@class="form-horizontal",style="width:100%;"}))
{
    <div class="row">
        <div class="column" style="width: 25vw;margin: 0px;padding: 0px 0px;">
            <div class="panel panel-default">
                <div class="panel-heading">Schedule</div>
                <div class="panel-body">
                    <div class="table-responsive" style="height:80vh">
                        <table id="tblSchedule" class="styled-table" cellspacing="0" style="font-size: 12px;">
                            <thead>
                                <tr>
                                    <th style="display:none;">
                                        @Html.DisplayNameFor(model => model.tblSchedule.ScheduleId)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.tblSchedule.SeqId)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.tblSchedule.Position)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.tblSchedule.SampleId)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.tblSchedule.PatientId)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.tblSchedule.Container)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.tblSchedule.ScheduleType)
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.tblSchedules) {
                                    if(item!=null)
                                    {
                                        <tr>
                                            <td style="display:none;">
                                                @Html.DisplayFor(modelItem => item.ScheduleId)                
                                            </td>
                                            <td>
                                                @Html.ActionLink(item.SeqId.ToString(),"Index","Schedule",new { ScheduleID = item.ScheduleId },new{style="font-size:12px;color:blue;"})
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Position)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.SampleId)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.PatientId)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Container)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.ScheduleType)
                                            </td>
                                        </tr>
                                    }
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="column" style="width: 48vw;margin: 0px;padding: 0px 0px;">
            <ul class="nav nav-tabs" id="tabSchedule">
                <li class="nav-item">
                    <a href="#tab_Sample" class="nav-link active" data-bs-toggle="tab">Sample</a>
                </li>
                <li class="nav-item">
                    <a href="#tab_Calibration" class="nav-link" data-bs-toggle="tab">Calibration</a>
                </li>
                <li class="nav-item">
                    <a href="#tab_Qc" class="nav-link" data-bs-toggle="tab">Qc</a>
                </li>
            </ul>
            <div class="tab-content" style="height:72vh;">
                <div class="tab-pane fade show active" id="tab_Sample">
                    <partial>
                        @await Html.PartialAsync("/Views/Shared/TestListIndex.cshtml",Model.tblTestListModel)
                    </partial>
                </div>
                <div class="tab-pane fade" id="tab_Calibration">
                    <partial>
                        @await Html.PartialAsync("/Views/Shared/TestListIndex.cshtml",Model.tblTestListModel)    
                    </partial>
                    
                </div>
                <div class="tab-pane fade" id="tab_Qc">
                    <partial>
                        @await Html.PartialAsync("/Views/Shared/TestListIndex.cshtml",Model.tblTestListModel)
                    </partial>
                    
                </div>
            </div>
        </div>
        <div class="column" style="width: 14vw;margin: 0px;padding: 0px 0px;">
            <div class="btn-group-vertical">
                <div class="input-group mb-3" style="width: 210px;">
                     @Html.TextBoxFor(model =>model.tblSchedule.ScheduleId,new{@id="ScheduleId",@class="form-control"})
                     @Html.TextBoxFor(model =>model.tblSchedule.SeqId,new{@id="SeqId",@class="form-control"})
                     @Html.TextBoxFor(model =>model.tblSchedule.ScheduleType,new{@id="ScheduleType",@class="form-control"})
                </div>
                <input type="button" id="btnDilution" value="Dilute" class="btn btn-info btn-lg"/>
                <input type="button" id="btnLIS" value="LIS" class="btn btn-info btn-lg"/>
                <div class="input-group mb-3" style="width: 210px;">
                    <div class="input-group-prepend">
                        @Html.LabelFor(model =>model.tblSchedule.SampleId)
                    </div>
                    @Html.TextBoxFor(model =>model.tblSchedule.SampleId,new{@id="SampleId",@class="form-control"})  
                    @Html.ValidationMessageFor(model =>model.tblSchedule.SampleId) 
                </div>
                <div class="input-group mb-3" style="width: 210px;">
                    <div class="input-group-prepend">
                        @Html.LabelFor(model =>model.tblSchedule.PatientId)
                    </div>
                    @Html.DropDownListFor(model => model.tblSchedule.PatientId, new SelectList(ViewBag.PatientIdList,"Value","Text"),new{@class="form-control",@id = "PatientId" })
                    @Html.ValidationMessageFor(model =>model.tblSchedule.PatientId) 
                </div>
                <div class="input-group mb-3" style="width: 210px;">
                    <div class="input-group-prepend">
                        @Html.LabelFor(model => model.tblSchedule.Position,new {@class="input-group-text"})
                    </div>
                    @Html.DropDownListFor(model => model.tblSchedule.Position, new SelectList(ViewBag.SamplePos,"Value","Text"),new{@class="form-control",@id = "Position"})
                    @Html.ValidationMessageFor(model => model.tblSchedule.Position)
                </div>
                <div class="input-group mb-3" style="width: 210px;">
                    <div class="input-group-prepend">
                        @Html.LabelFor(model => model.tblSchedule.Container,new {@class="input-group-text"})
                    </div>
                    @Html.DropDownListFor(model => model.tblSchedule.Container, new SelectList(ViewBag.ContainerType,"Value","Text"),new{@class="form-control",@id = "Container"})
                    @Html.ValidationMessageFor(model => model.tblSchedule.Container)
                </div>
                <div class="input-group mb-3" style="width: 210px;">
                    <div class="input-group-prepend">
@*                         @Html.LabelFor(model => model.tblSample.SmpType,new {@class="input-group-text"})
 *@                    </div>
                @*     @Html.DropDownListFor(model => model.tblSample.SmpType, new SelectList(ViewBag.SampleType,"Value","Text"),new{@class="form-control",@id = "SmpType"})
                    @Html.ValidationMessageFor(model => model.tblSample.SmpType) *@
                </div>
                <input type="button" id="btnClearWorklist" value="Clear Worklist" class="btn btn-info btn-lg"/>
                <input type="button" id="btnAddPatientDetail" value="Add Patient" class="btn btn-info btn-lg"/> 
                <input type="button" id="btnNewSample" value="New Sample" class="btn btn-info btn-lg"/> 
                <input type="button" id="btnAddModify" value="Add/Modify" class="btn btn-info btn-lg"/> 
                <input type="button" id="btnCopy" value="Copy" class="btn btn-info btn-lg"/> 
                <input type="button" id="btnDelete" value="Delete" class="btn btn-info btn-lg"/> 
                <input type="button" id="btnReagentCheck" value="ReagentCheck" class="btn btn-info btn-lg"/> 
            </div>
        </div>
    </div>
    <div id='myModal' class='modal'>  
        <div class="modal-dialog">  
            <div class="modal-content">  
                <div id='myModalContent'></div>  
            </div>  
        </div>   
    </div>   
}

@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {

            $('#tblTestProfile').DataTable(
            {
                paging:   false,
                ordering: false,
                info:     false,
                searching: false,
                scrollY:   '75vh'
            });

          /*  $("#btnAddPatientDetail").click(function()
             {
                 var options = { "backdrop": "static", keyboard: true };  
                  $.ajax({  
                        type: "GET",  
                        url: '/Schedule/Details',  
                        contentType: "application/json; charset=utf-8",  
                        data: { "Id": 1 },  
                        datatype: "json",  
                        success: function (data) {  
                            debugger;  
                            $('#myModalContent').html(data);  
                            $('#myModal').modal(options);  
                            $('#myModal').modal('show');                    
        
                        },  
                        error: function () {  
                            alert("Dynamic content load failed.");  
                        }  
                    });   
             });

            $("#closebtn").click(function () {  
                $('#myModal').modal('hide');  
            }); */

            $("#btnAddModify").click(function()
            {
                var data = {};
                data.SeqId= $('#SeqId').val();
                data.ScheduleId = $('#ScheduleId').val();
                data.SampleId = $('#SampleId').val();
                data.Position= $('#Position').val();
                data.ScheduleType= $('#ScheduleType').val();
                data.PatientId= $('#PatientId').val();
                data.Container = $('#Container').val();
                data.SmpType = $('#SmpType').val();
                var Selected= new Array();

                $('.Testchecked').each(function(i, obj) {    
                    Selected[i]=$(obj).closest("button").attr("id");
                });

                data.selectedIds=Selected;     

                $.ajax({
                    type:'POST',
                    url:'@Url.Action("Update","Schedule")',
                    data:{viewData:JSON.stringify(data)},
                    success:function()
                    {
                        window.location.href = '@Url.Action("Index", "Schedule")';
                        $('SampleId')
                    },
                    error:function(result)
                    {
                       alert("Unknown Error");    
                    }
                });
            });
            $("#btnNewSample").click(function()
            {
                $('#SampleId').val("");
            });

            $("#btnReagentCheck").click(function()
            {
                window.location.href = "/Run/Index";
            });
        });
    </script>
}